%define oname	ipcalc

Name:		ipcalculator
Version:	0.41
Release:	%mkrel 2.1
Summary:	A utility for computing broadcast, network, mask, and host ranges
Group:		Networking/Other
License:	GPLv2+
URL:		http://jodies.de/ipcalc
Source0:	http://jodies.de/ipcalc-archive/%{oname}-%{version}.tar.gz
Source1:	ipcalculator.conf
Source2:	bg.gif
BuildArch:	noarch


%description
ipcalculator takes an IP address and netmask and calculates the resulting
broadcast, network, Cisco wildcard mask, and host range. By giving a second
netmask, you can design subnets and supernets. It is also intended to be
a teaching tool and presents the subnetting results as easy-to-understand
binary values.

#-------------------------------------------------------------------------

%package cgi
Summary:	A CGI wrapper for %{name}
Group:		Networking/Other
# fixes the URLS in ipcalculator.cgi 
Patch0:		ipcalculator-hrefs.patch
BuildArch:	noarch

Requires:	%{name} = %{version}-%{release}
Requires:	apache

%description cgi
ipcalculator-cgi contains a CGI wrapper around the ipcalculator script. 
It allows you to embed ipcalculator's functionality into a web page.

#-------------------------------------------------------------------------

%prep
%setup -q -n %{oname}-%{version}

# "ipcalc" is hardcoded into the help and usage messages. We don't want to
# substitute everything since there are mentions of ipcalc in URLs etc.
sed -i '1041,1085s/ipcalc/ipcalculator/g' ipcalc
# the cgi wrapper uses hardcoded path to a different location
sed -i 's:/usr/local/bin/ipcalc:%{_bindir}/ipcalculator:' ipcalc.cgi

%patch0 -p1 -b .hrefs

%build


%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/%{name}

install -pm 644 ipcalc.gif %{buildroot}%{_datadir}/%{name}/ipcal03.gif
install -pm 644 ipcalculator.png %{buildroot}%{_datadir}/%{name}/%{name}.png
install -pm 755 ipcalc %{buildroot}%{_bindir}/%{name}

## CGI wrapper install
install -Dpm 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf.d/%{name}.conf
install -Dpm 644 %{SOURCE2} %{buildroot}%{_datadir}/%{name}/bg.gif
install -Dpm 755 ipcalc.cgi %{buildroot}%{_datadir}/%{name}/%{name}.cgi

%files
%doc changelog contributors license
%dir %{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/%{name}/%{name}.png
%{_datadir}/%{name}/ipcal03.gif

%files cgi
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{name}.cgi
%{_datadir}/%{name}/bg.gif
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf


%changelog
* Mon Aug 19 2013 david.david (MLO Team) <david.david> 0.41-2.1.mga3
+ Revision: 2.1
- clean .spec a bit

* Sat May 18 2013 david.david (MLO Team) <david.david> 0.41-2.mga3
+ Rebuild package for Mageia 3 (Core)
- imported package from Fedora
- correcting "spec" file
- version: 0.41

* Thu May 09 2013 Adrien.D (Team MLO) <adrien.d> 0.41-1.mga3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild
